package com.dayou.mapper;

import com.baomidou.mybatisplus.extension.plugins.pagination.Page;
import com.dayou.dto.MajorStaticsDTO;
import com.dayou.dto.MajorSubClientDTO;
import com.dayou.entity.Major;
import com.dayou.dao.CustomBaseMapper;
import com.dayou.vo.MajorVO;
import org.apache.ibatis.annotations.Param;

import java.util.List;

/**
 * <p>
 * 大中型项目 Mapper 接口
 * </p>
 *
 * @author wucl
 * @since 2023-10-30
 */
public interface MajorMapper extends CustomBaseMapper<Major> {

    Page<MajorVO> getPage(Page page, @Param("major") MajorVO major,@Param("keyword") String keyword);

    /**
     * 条件查询大中型已终止流程
     * @param page 分页
     * @param major 查询条件
     * @param keyword 关键字
     * @return Page<MajorVO>
     */
    Page<MajorVO> getTerminatedPage(Page page, @Param("major") MajorVO major,@Param("keyword") String keyword ,@Param("currentUserId") Long currentUserId);

    MajorVO getDetail(@Param("id") Long id);

    MajorStaticsDTO staticsInformation(@Param("userId") Long userId);

    Page<MajorVO> xPage(Page page, @Param("major") MajorVO major,@Param("keyword") String keyword ,@Param("currentUserId") Long currentUserId);

    List<MajorSubClientDTO> findMajorSubClient();

    MajorVO productionDetail(@Param("id")Long id, @Param("productionNo") String productionNo,@Param("production") String production);
}
